%global npm_name unicode-length
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.1
Release: %mkrel 6
Summary: Get the length of unicode strings
License: MIT
Group: Development/Other
URL: https://github.com/jviotti/unicode-length
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(punycode)
Requires: npm(strip-ansi)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep strip-ansi ">=4.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr build %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 2.0.1-6.mga9
+ Revision: 1820195
- Mageia 9 Mass Rebuild

* Sat Jul 04 2020 joequant <joequant> 2.0.1-5.mga8
+ Revision: 1601957
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 2.0.1-4.mga8
+ Revision: 1503269
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.1-3.mga7
+ Revision: 1281159
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 2.0.1-2.mga7
+ Revision: 1227347
- Fix nodejs dependencies

* Mon May 07 2018 kekepower <kekepower> 2.0.1-1.mga7
+ Revision: 1227062
- imported package nodejs-unicode-length

